Subject: bug#20414: Fwd: lunar.el

From: Nicholas Strauss <[email-masked]>
Date: Tue, 23 Feb 2016 14:01:47 -0800

Hi Lars,

The Calendar already computed Moon's latitude and longitude -- I was
just reuse for eclipses.

 The first right/wrong test is to determine if this is theoretically right.

    (if (or (= phase 0)
            (= phase 2))
        (cond ((< moon-lat 2.42600766e-1)
           (concat "** " phase-name " Eclipse **"))
              ((< moon-lat 0.37)
               (concat "** " phase-name " Eclipse possible **"))
              (t
               "")
              )

 2nd test is to compare predictions --  100 years run (modify
emacs/lisp/calendar/lunar.el)
NASA web page ( http://eclipse.gsfc.nasa.gov/LEdecade/LEdecade2011.html )

I'm attaching my mutated lunar.el and a 100 year table.

If you're interested, I can discuss where those magic numbers come from.

:0
Nick

On Tue, Feb 23, 2016 at 2:42 AM, Lars Ingebrigtsen <[email-masked]> wrote:
> Glenn Morris <[email-masked]> writes:
>
>> Thanks for this.
>> What's the difference between "eclipse" and "eclipse possible"?
>>
>> It predicts eclipses when the moon is quarter-full, which seems wrong?
>>
>> Tuesday, June 9, 2015: Last Quarter Moon 8:48am (PDT) **  Eclipse possible **
>> Tuesday, June 16, 2015: New Moon 7:08am (PDT)
>> Wednesday, June 24, 2015: First Quarter Moon 4:04am (PDT) **  Eclipse **
>
> It seems like a fun addition to lunar.el, but if it's wrong, it's...
> not.  :-)
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no